# Uses of Class
org.eclipse.swt.widgets.Shell

Packages that use Shell
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.internal
org.eclipse.compare.patch
Provides support for applying and working with patches.
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.debug.ui.sourcelookup
Provides a user interface for debug platform source lookup facilities.
org.eclipse.debug.ui.stringsubstitution
Provides an interface to select an argument for a string substitution variable.
org.eclipse.e4.ui.bindings.internal
org.eclipse.e4.ui.css.swt.dom
org.eclipse.e4.ui.css.swt.helpers
org.eclipse.e4.ui.workbench.addons.perspectiveswitcher
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.
org.eclipse.help.ui.internal
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.notifications
org.eclipse.jface.notifications.internal
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.widgets
org.eclipse.jface.window
Provides a general framework for creating and managing windows.
org.eclipse.jface.wizard
Provides a framework for wizards.
org.eclipse.ltk.ui.refactoring
Application programming interface to implement a wizard based user interface for refactorings.
org.eclipse.swt.awt
SWT AWT embedding support.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.printing
SWT Printing support classes.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.application
Application-level APIs for configuring and controling the Eclipse Platform User Interface.
org.eclipse.ui.cheatsheets
Provides support for working with cheat sheets.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.contexts
Provides support for integrating contexts into the Eclipse workbench.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.forms
Forms-based controls for use in views, editors, and wizards.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.ide
APIs for the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.ide.dialogs
APIs for dialogs in the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.ide.fileSystem
APIs for the IDE-specific support for the org.eclipse.core.filesystem.fileSystem extension.
org.eclipse.ui.ide.undo
APIs that provide undo and redo behavior for operations that manipulate the workspace.
org.eclipse.ui.internal
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.preferences
Classes for using the preferences support in org.eclipse.core.runtime.preferences
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.splash
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.statushandlers
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.texteditor.templates
Application programming interfaces for interaction with the Eclipse text editor template support.
org.eclipse.ui.views.markers.internal
org.eclipse.ui.views.tasklist
Provides the standard Task List view for displaying tasks and problem annotations on resources.
org.eclipse.ui.wizards.datatransfer
Provides the standard Import and Export wizards for moving resources into and out of the workspace.
org.eclipse.unittest.ui

## Uses of Shell in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type Shell
Modifier and Type
Method
Description
`IStatus`
IEditableContentExtension.`validateEdit(Shell shell)`
If the element is read-only, this method should be called to attempt to make it writable.
`IStatus`
ResourceNode.`validateEdit(Shell shell)`
Constructors in org.eclipse.compare with parameters of type Shell
Modifier
Constructor
Description
``
`EditionSelectionDialog(Shell parent, ResourceBundle bundle)`
Deprecated.
Creates a new modal, resizable dialog.

## Uses of Shell in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal that return Shell
Modifier and Type
Method
Description
`static Shell`
CompareUIPlugin.`getShell()`
If the workbench is running returns the SWT Shell of the active workbench window or `null` if no workbench window is active.
Methods in org.eclipse.compare.internal with parameters of type Shell
Modifier and Type
Method
Description
`protected void`
CompareDialog.`configureShell(Shell newShell)`
`protected void`
ResizableDialog.`configureShell(Shell newShell)`
`static CompareHandlerService`
CompareHandlerService.`createFor(ICompareContainer container, Shell shell)`
`static void`
ExceptionHandler.`handle(InvocationTargetException e, Shell parent, String title, String message)`
Handles the given `InvocationTargetException`.
`static void`
ExceptionHandler.`handle(CoreException e, Shell parent, String title, String message)`
Handles the given `CoreException`.
`protected void`
ExceptionHandler.`perform(InvocationTargetException e, Shell shell, String title, String message)`
`protected void`
ExceptionHandler.`perform(CoreException e, Shell shell, String title, String message)`
`static boolean`
Utilities.`validateResource(IResource resource, Shell shell, String title)`
`static boolean`
Utilities.`validateResources(List<IResource> resources, Shell shell, String title)`
`static boolean`
Utilities.`validateResources(IResource[] resources, Shell shell, String title)`
Constructors in org.eclipse.compare.internal with parameters of type Shell
Modifier
Constructor
Description
``
`AddFromHistoryDialog(Shell parent, ResourceBundle bundle)`
``
`CompareDialog(Shell shell, CompareEditorInput input)`
Create a dialog to host the given input.
`protected`
`CompareWithOtherResourceDialog(Shell shell, ISelection selection)`
Creates the dialog.
``
`NavigationEndDialog(Shell parentShell, String dialogTitle, Image dialogTitleImage, String dialogMessage, String[][] labelsAndValues)`
``
`ResizableDialog(Shell parent, ResourceBundle bundle)`

## Uses of Shell in org.eclipse.compare.patch

Methods in org.eclipse.compare.patch that return Shell
Modifier and Type
Method
Description
`protected Shell`
ApplyPatchOperation.`getShell()`
Return the parent shell to be used when the wizard is opened.

## Uses of Shell in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer with parameters of type Shell
Modifier and Type
Method
Description
`IStatus`
DocumentRangeNode.`validateEdit(Shell shell)`
`IStatus`
StructureRootNode.`validateEdit(Shell shell)`

## Uses of Shell in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return Shell
Modifier and Type
Method
Description
`protected Shell`
AbstractLaunchConfigurationTab.`getShell()`
Returns the shell this tab is contained in, or `null`.
Methods in org.eclipse.debug.ui with parameters of type Shell
Modifier and Type
Method
Description
`static void`
DebugUITools.`deleteBreakpoints(IBreakpoint[] breakpoints, Shell shell, IProgressMonitor progressMonitor)`
Deletes the given breakpoints using the operation history, which allows to undo the deletion.
`static int`
DebugUITools.`openLaunchConfigurationDialog(Shell shell, ILaunchConfiguration configuration, String groupIdentifier, IStatus status)`
Open the launch configuration dialog on the specified launch configuration.
`static int`
DebugUITools.`openLaunchConfigurationDialog(Shell shell, IStructuredSelection selection, String mode)`
Deprecated.
use openLaunchConfigurationDialogOnGroup(Shell, IStructuredSelection, String) to specify the launch group that the dialog should be opened on.
`static int`
DebugUITools.`openLaunchConfigurationDialogOnGroup(Shell shell, IStructuredSelection selection, String groupIdentifier)`
Open the launch configuration dialog with the specified initial selection.
`static int`
DebugUITools.`openLaunchConfigurationDialogOnGroup(Shell shell, IStructuredSelection selection, String groupIdentifier, IStatus status)`
Open the launch configuration dialog with the specified initial selection.
`static int`
DebugUITools.`openLaunchConfigurationPropertiesDialog(Shell shell, ILaunchConfiguration configuration, String groupIdentifier)`
Open the launch configuration properties dialog on the specified launch configuration.
`static int`
DebugUITools.`openLaunchConfigurationPropertiesDialog(Shell shell, ILaunchConfiguration configuration, String groupIdentifier, IStatus status)`
Open the launch configuration properties dialog on the specified launch configuration.
`protected void`
InspectPopupDialog.`saveDialogBounds(Shell shell)`
Constructors in org.eclipse.debug.ui with parameters of type Shell
Modifier
Constructor
Description
``
`DebugPopup(Shell parent, Point anchor, String commandId)`
Constructs a new popup dialog of type `PopupDialog.INFOPOPUPRESIZE_SHELLSTYLE`
``
`InspectPopupDialog(Shell shell, Point anchor, String commandId, IExpression expression)`
Creates a new inspect popup.
``
`StringVariableSelectionDialog(Shell parent)`
Constructs a new string substitution variable selection dialog.

## Uses of Shell in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions that return Shell
Modifier and Type
Method
Description
`protected Shell`
RelaunchLastAction.`getShell()`
Returns the parent shell for this menu item
Methods in org.eclipse.debug.ui.actions with parameters of type Shell
Modifier and Type
Method
Description
`boolean`
IVariableValueEditor.`editVariable(IVariable variable, Shell shell)`
Edits the given variable, if appropriate.
`boolean`
IVariableValueEditor.`saveVariable(IVariable variable, String expression, Shell shell)`
Saves the given expression to the given variable, if appropriate.

## Uses of Shell in org.eclipse.debug.ui.sourcelookup

Methods in org.eclipse.debug.ui.sourcelookup with parameters of type Shell
Modifier and Type
Method
Description
`ISourceContainer[]`
AbstractSourceContainerBrowser.`addSourceContainers(Shell shell, ISourceLookupDirector director)`
`ISourceContainer[]`
ISourceContainerBrowser.`addSourceContainers(Shell shell, ISourceLookupDirector director)`
Creates and returns new source containers to add to the given source lookup director.
`protected void`
SourceLookupDialog.`configureShell(Shell shell)`
`ISourceContainer[]`
AbstractSourceContainerBrowser.`editSourceContainers(Shell shell, ISourceLookupDirector director, ISourceContainer[] containers)`
`ISourceContainer[]`
ISourceContainerBrowser.`editSourceContainers(Shell shell, ISourceLookupDirector director, ISourceContainer[] containers)`
Edits and returns source containers to replace the given source containers.
Constructors in org.eclipse.debug.ui.sourcelookup with parameters of type Shell
Modifier
Constructor
Description
``
`SourceLookupDialog(Shell shell, ISourceLookupDirector director)`
Constructs a dialog to edit the source lookup path managed by the given source lookup director.

## Uses of Shell in org.eclipse.debug.ui.stringsubstitution

Methods in org.eclipse.debug.ui.stringsubstitution with parameters of type Shell
Modifier and Type
Method
Description
`String`
IArgumentSelector.`selectArgument(IStringVariable variable, Shell shell)`
Selects and returns an argument for the given variable, or `null` if none.

## Uses of Shell in org.eclipse.e4.ui.bindings.internal

Methods in org.eclipse.e4.ui.bindings.internal with parameters of type Shell
Modifier and Type
Method
Description
`void`
KeyAssistDialog.`setParentShell(Shell newParentShell)`
Exposing this within the keys package.

## Uses of Shell in org.eclipse.e4.ui.css.swt.dom

Constructors in org.eclipse.e4.ui.css.swt.dom with parameters of type Shell
Modifier
Constructor
Description
``
`ShellElement(Shell shell, CSSEngine engine)`

## Uses of Shell in org.eclipse.e4.ui.css.swt.helpers

Methods in org.eclipse.e4.ui.css.swt.helpers with parameters of type Shell
Modifier and Type
Method
Description
`static void`
CSSSWTImageHelper.`restoreDefaultImage(Shell shell)`
`static void`
CSSSWTImageHelper.`storeDefaultImage(Shell shell)`

## Uses of Shell in org.eclipse.e4.ui.workbench.addons.perspectiveswitcher

Fields in org.eclipse.e4.ui.workbench.addons.perspectiveswitcher declared as Shell
Modifier and Type
Field
Description
`protected Shell`
PerspectiveSwitcher.`dragShell`

## Uses of Shell in org.eclipse.equinox.p2.ui

Methods in org.eclipse.equinox.p2.ui with parameters of type Shell
Modifier and Type
Method
Description
`boolean`
Policy.`continueWorkingWithOperation(ProfileChangeOperation operation, Shell shell)`
Answer a boolean indicating whether the caller should continue to work with the specified operation.
`void`
ProvisioningUI.`manipulateRepositories(Shell shell)`
Open a UI that allows the user to manipulate the repositories.

## Uses of Shell in org.eclipse.help.ui.internal

Fields in org.eclipse.help.ui.internal declared as Shell
Modifier and Type
Field
Description
`protected Shell`
ContextHelpDialog.`parentShell`
`protected Shell`
ContextHelpDialog.`shell`
Methods in org.eclipse.help.ui.internal with parameters of type Shell
Modifier and Type
Method
Description
`static boolean`
DefaultHelpUI.`isDisplayModal(Shell activeShell)`

## Uses of Shell in org.eclipse.jface.action

Methods in org.eclipse.jface.action with parameters of type Shell
Modifier and Type
Method
Description
`Menu`
MenuManager.`createMenuBar(Shell parent)`
Deprecated.
use `createMenuBar(Decorations)` instead.

## Uses of Shell in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs that return Shell
Modifier and Type
Method
Description
`Shell`
DialogPage.`getShell()`
Returns this dialog page's shell.
Methods in org.eclipse.jface.dialogs with parameters of type Shell
Modifier and Type
Method
Description
`protected void`
AbstractSelectionDialog.`configureShell(Shell shell)`
`protected void`
ErrorDialog.`configureShell(Shell shell)`
`protected void`
InputDialog.`configureShell(Shell shell)`
`protected void`
MessageDialog.`configureShell(Shell shell)`
`protected void`
PlainMessageDialog.`configureShell(Shell shell)`
`protected void`
PopupDialog.`configureShell(Shell shell)`
`protected void`
ProgressMonitorDialog.`configureShell(Shell shell)`
`protected void`
StatusDialog.`configureShell(Shell shell)`
`static PlainMessageDialog.Builder`
PlainMessageDialog.`getBuilder(Shell shell, String dialogTitle)`
Creates a new Builder instance.
`static boolean`
MessageDialog.`open(int kind, Shell parent, String title, String message, int style)`
Convenience method to open a simple dialog as specified by the `kind` flag.
`static int`
MessageDialog.`open(int kind, Shell parent, String title, String message, int style, String... dialogButtonLabels)`
Method to open a simple dialog as specified by the `kind` flag.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`open(int kind, Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key, int style)`
Convenience method to open a simple dialog as specified by the `kind` flag, with a "don't show again' toggle.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`open(int kind, Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key, int style, LinkedHashMap<String,Integer> buttonLabelToIdMap)`
Convenience method to open a simple dialog as specified by the `kind` flag, with a "don't show again' toggle.
`static boolean`
MessageDialog.`openConfirm(Shell parent, String title, String message)`
Convenience method to open a simple confirm (OK/Cancel) dialog.
`static int`
ErrorDialog.`openError(Shell parent, String dialogTitle, String message, IStatus status)`
Opens an error dialog to display the given error.
`static int`
ErrorDialog.`openError(Shell parentShell, String title, String message, IStatus status, int displayMask)`
Opens an error dialog to display the given error.
`static void`
MessageDialog.`openError(Shell parent, String title, String message)`
Convenience method to open a standard error dialog.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`openError(Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key)`
Convenience method to open a standard error dialog.
`static void`
MessageDialog.`openInformation(Shell parent, String title, String message)`
Convenience method to open a standard information dialog.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`openInformation(Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key)`
Convenience method to open a standard information dialog.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`openOkCancelConfirm(Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key)`
Convenience method to open a simple confirm (OK/Cancel) dialog.
`static boolean`
MessageDialog.`openQuestion(Shell parent, String title, String message)`
Convenience method to open a simple Yes/No question dialog.
`static void`
MessageDialog.`openWarning(Shell parent, String title, String message)`
Convenience method to open a standard warning dialog.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`openWarning(Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key)`
Convenience method to open a standard warning dialog.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`openYesNoCancelQuestion(Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key)`
Convenience method to open a simple question Yes/No/Cancel dialog.
`static MessageDialogWithToggle`
MessageDialogWithToggle.`openYesNoQuestion(Shell parent, String title, String message, String toggleMessage, boolean toggleState, IPreferenceStore store, String key)`
Convenience method to open a simple Yes/No question dialog.
`protected void`
PopupDialog.`saveDialogBounds(Shell shell)`
Saves the bounds of the shell in the appropriate dialog settings.
`void`
IDialogBlockedHandler.`showBlocked(Shell parentShell, IProgressMonitor blocking, IStatus blockingStatus, String blockedName)`
A blockage has occured.
Constructors in org.eclipse.jface.dialogs with parameters of type Shell
Modifier
Constructor
Description
`protected`
`AbstractSelectionDialog(Shell parentShell)`
Creates a dialog instance.
`protected`
`Dialog(Shell parentShell)`
Creates a dialog instance.
``
`ErrorDialog(Shell parentShell, String dialogTitle, String message, IStatus status, int displayMask)`
Creates an error dialog.
``
`IconAndMessageDialog(Shell parentShell)`
Constructor for IconAndMessageDialog.
``
`InputDialog(Shell parentShell, String dialogTitle, String dialogMessage, String initialValue, IInputValidator validator)`
Creates an input dialog with OK and Cancel buttons.
``
`MessageDialog(Shell parentShell, String dialogTitle, Image dialogTitleImage, String dialogMessage, int dialogImageType, int defaultIndex, String... dialogButtonLabels)`
Create a message dialog.
``
`MessageDialog(Shell parentShell, String dialogTitle, Image dialogTitleImage, String dialogMessage, int dialogImageType, String[] dialogButtonLabels, int defaultIndex)`
Create a message dialog.
``
`MessageDialogWithToggle(Shell parentShell, String dialogTitle, Image image, String message, int dialogImageType, String[] dialogButtonLabels, int defaultIndex, String toggleMessage, boolean toggleState)`
Creates a message dialog with a toggle.
``
`MessageDialogWithToggle(Shell parentShell, String dialogTitle, Image image, String message, int dialogImageType, LinkedHashMap<String,Integer> buttonLabelToIdMap, int defaultIndex, String toggleMessage, boolean toggleState)`
Creates a message dialog with a toggle.
``
`PopupDialog(Shell parent, int shellStyle, boolean takeFocusOnOpen, boolean persistSize, boolean persistLocation, boolean showDialogMenu, boolean showPersistActions, String titleText, String infoText)`
Constructs a new instance of `PopupDialog`.
``
`ProgressMonitorDialog(Shell parent)`
Creates a progress monitor dialog under the given shell.
``
`StatusDialog(Shell parent)`
Creates an instance of a status dialog.
``
`TitleAreaDialog(Shell parentShell)`
Instantiate a new title area dialog.
`protected`
`TrayDialog(Shell shell)`
Creates a tray dialog instance.

## Uses of Shell in org.eclipse.jface.notifications

Methods in org.eclipse.jface.notifications with parameters of type Shell
Modifier and Type
Method
Description
`protected void`
AbstractNotificationPopup.`configureShell(Shell newShell)`
`protected MouseListener`
AbstractNotificationPopup.`createWindowActivationHelper(Shell parentShell)`
Creates listener that shows and activates the main Eclipse window by clicking on the popup control if it was not in foreground.
`static NotificationPopup.Builder`
NotificationPopup.`forShell(Shell shell)`
Creates a new builder instance using a shell.
`protected void`
AbstractNotificationPopup.`setParentShell(Shell newParentShell)`
Overrides default implementation to add window activation helper.

## Uses of Shell in org.eclipse.jface.notifications.internal

Methods in org.eclipse.jface.notifications.internal with parameters of type Shell
Modifier and Type
Method
Description
`void`
AnimationUtil.IFadeListener.`faded(Shell shell, int alpha)`
`static AnimationUtil.FadeJob`
AnimationUtil.`fadeIn(Shell shell, AnimationUtil.IFadeListener listener)`
`static AnimationUtil.FadeJob`
AnimationUtil.`fadeOut(Shell shell, AnimationUtil.IFadeListener listener)`
`static AnimationUtil.FadeJob`
AnimationUtil.`fastFadeIn(Shell shell, AnimationUtil.IFadeListener listener)`
Constructors in org.eclipse.jface.notifications.internal with parameters of type Shell
Modifier
Constructor
Description
``
`FadeJob(Shell shell, int increment, long delay, AnimationUtil.IFadeListener fadeListener)`

## Uses of Shell in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference that return Shell
Modifier and Type
Method
Description
`protected Shell`
ListEditor.`getShell()`
Returns this field editor's shell.
`protected Shell`
StringButtonFieldEditor.`getShell()`
Returns this field editor's shell.
Methods in org.eclipse.jface.preference with parameters of type Shell
Modifier and Type
Method
Description
`protected void`
PreferenceDialog.`configureShell(Shell newShell)`
Constructors in org.eclipse.jface.preference with parameters of type Shell
Modifier
Constructor
Description
``
`PreferenceDialog(Shell parentShell, PreferenceManager manager)`
Creates a new preference dialog under the control of the given preference manager.

## Uses of Shell in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return Shell
Modifier and Type
Method
Description
`final Shell`
AbstractInformationControl.`getShell()`
The shell of the popup window.
Methods in org.eclipse.jface.text with parameters of type Shell
Modifier and Type
Method
Description
`IInformationControl`
AbstractReusableInformationControlCreator.`createInformationControl(Shell parent)`
`IInformationControl`
IInformationControlCreator.`createInformationControl(Shell parent)`
Creates a new information control with the given shell as the control's parent.
`protected abstract IInformationControl`
AbstractReusableInformationControlCreator.`doCreateInformationControl(Shell parent)`
Creates the control.
Constructors in org.eclipse.jface.text with parameters of type Shell
Modifier
Constructor
Description
``
`AbstractInformationControl(Shell parentShell, boolean isResizable)`
Creates an abstract information control with the given shell as parent.
``
`AbstractInformationControl(Shell parentShell, String statusFieldText)`
Creates an abstract information control with the given shell as parent.
``
`AbstractInformationControl(Shell parentShell, String statusFieldText, boolean resizable)`
Creates an abstract information control with the given shell as parent.
``
`AbstractInformationControl(Shell parentShell, ToolBarManager toolBarManager)`
Creates an abstract information control with the given shell as parent.
``
`DefaultInformationControl(Shell parent)`
Creates a default information control with the given shell as parent.
``
`DefaultInformationControl(Shell parent, boolean isResizeable)`
Creates a default information control with the given shell as parent.
``
`DefaultInformationControl(Shell parent, int shellStyle, int style, DefaultInformationControl.IInformationPresenter presenter)`
Deprecated.
As of 3.4, replaced by simpler constructors
``
`DefaultInformationControl(Shell parentShell, int shellStyle, int style, DefaultInformationControl.IInformationPresenter presenter, String statusFieldText)`
Deprecated.
As of 3.4, replaced by simpler constructors
``
`DefaultInformationControl(Shell parent, int textStyles, DefaultInformationControl.IInformationPresenter presenter)`
Deprecated.
As of 3.4, replaced by `DefaultInformationControl(Shell, DefaultInformationControl.IInformationPresenter)`
``
`DefaultInformationControl(Shell parent, int textStyles, DefaultInformationControl.IInformationPresenter presenter, String statusFieldText)`
Deprecated.
As of 3.4, replaced by `DefaultInformationControl(Shell, String, DefaultInformationControl.IInformationPresenter)`
``
`DefaultInformationControl(Shell parent, String statusFieldText)`
Creates a default information control with the given shell as parent.
``
`DefaultInformationControl(Shell parent, String statusFieldText, DefaultInformationControl.IInformationPresenter presenter)`
Creates a default information control with the given shell as parent.
``
`DefaultInformationControl(Shell parent, ToolBarManager toolBarManager)`
Creates a resizable default information control with the given shell as parent.
``
`DefaultInformationControl(Shell parent, ToolBarManager toolBarManager, DefaultInformationControl.IInformationPresenter presenter)`
Creates a resizable default information control with the given shell as parent.
``
`DefaultInformationControl(Shell parent, DefaultInformationControl.IInformationPresenter presenter)`
Creates a default information control with the given shell as parent.

## Uses of Shell in org.eclipse.jface.widgets

Methods in org.eclipse.jface.widgets that return Shell
Modifier and Type
Method
Description
`final Shell`
ShellFactory.`create(Display display)`
Creates the shell in the given display.

## Uses of Shell in org.eclipse.jface.window

Methods in org.eclipse.jface.window that return Shell
Modifier and Type
Method
Description
`protected final Shell`
Window.`createShell()`
Creates and returns this window's shell.
`protected Shell`
Window.`getParentShell()`
Returns parent shell, under which this window's shell is created.
`Shell`
IShellProvider.`getShell()`
Returns the current shell (or null if none).
`Shell`
SameShellProvider.`getShell()`
`Shell`
Window.`getShell()`
Returns this window's shell.
Methods in org.eclipse.jface.window with parameters of type Shell
Modifier and Type
Method
Description
`protected void`
ApplicationWindow.`configureShell(Shell shell)`
Extends the super implementation by creating the trim widgets using `createTrimWidgets`.
`protected void`
Window.`configureShell(Shell newShell)`
Configures the given shell in preparation for opening this window in it.
`protected void`
ApplicationWindow.`createStatusLine(Shell shell)`
Create the status line if required.
`protected void`
ApplicationWindow.`createTrimWidgets(Shell shell)`
Creates the trim widgets around the content area.
`protected void`
Window.`setParentShell(Shell newParentShell)`
Changes the parent shell.
Constructors in org.eclipse.jface.window with parameters of type Shell
Modifier
Constructor
Description
``
`ApplicationWindow(Shell parentShell)`
Create an application window instance, whose shell will be created under the given parent shell.
`protected`
`Window(Shell parentShell)`
Creates a window instance, whose shell will be created under the given parent shell.

## Uses of Shell in org.eclipse.jface.wizard

Methods in org.eclipse.jface.wizard that return Shell
Modifier and Type
Method
Description
`Shell`
IWizardContainer.`getShell()`
Returns the shell for this wizard container.
`Shell`
Wizard.`getShell()`
Returns the wizard's shell if the wizard is visible.
`Shell`
WizardPage.`getShell()`
The `WizardPage` implementation of this method declared on `DialogPage` returns the shell of the container.
Methods in org.eclipse.jface.wizard with parameters of type Shell
Modifier and Type
Method
Description
`protected void`
WizardDialog.`configureShell(Shell newShell)`
Constructors in org.eclipse.jface.wizard with parameters of type Shell
Modifier
Constructor
Description
``
`WizardDialog(Shell parentShell, IWizard newWizard)`
Creates a new wizard dialog for the given wizard.

## Uses of Shell in org.eclipse.ltk.ui.refactoring

Methods in org.eclipse.ltk.ui.refactoring with parameters of type Shell
Modifier and Type
Method
Description
`static Dialog`
RefactoringUI.`createLightWeightStatusDialog(RefactoringStatus status, Shell parent, String windowTitle)`
Creates a light-weight dialog to present a `RefactoringStatus` to the user.
`protected IRunnableWithProgress`
RedoRefactoringAction.`createOperation(Shell parent)`
Deprecated.
`protected IRunnableWithProgress`
UndoRefactoringAction.`createOperation(Shell parent)`
Deprecated.
`static Dialog`
RefactoringUI.`createRefactoringStatusDialog(RefactoringStatus status, Shell parent, String windowTitle, boolean backButton)`
Creates a dialog to present a `RefactoringStatus` to the user.
`int`
RefactoringWizardOpenOperation.`run(Shell parent, String dialogTitle)`
Opens the refactoring dialog for the refactoring wizard passed to the constructor.
`int`
RefactoringWizardOpenOperation.`run(Shell parent, String dialogTitle, IRunnableContext context)`
Opens the refactoring dialog for the refactoring wizard passed to the constructor.

## Uses of Shell in org.eclipse.swt.awt

Methods in org.eclipse.swt.awt that return Shell
Modifier and Type
Method
Description
`static Shell`
SWT_AWT.`new_Shell(Display display, Canvas parent)`
Creates a new `Shell`.

## Uses of Shell in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom that return Shell
Modifier and Type
Method
Description
`Shell`
CCombo.`getShell()`
Constructors in org.eclipse.swt.custom with parameters of type Shell
Modifier
Constructor
Description
``
`PopupList(Shell parent)`
Creates a PopupList above the specified shell.
``
`PopupList(Shell parent, int style)`
Creates a PopupList above the specified shell.

## Uses of Shell in org.eclipse.swt.printing

Constructors in org.eclipse.swt.printing with parameters of type Shell
Modifier
Constructor
Description
``
`PrintDialog(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`PrintDialog(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

## Uses of Shell in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Shell
Modifier and Type
Method
Description
`Shell`
Display.`getActiveShell()`
Returns the currently active `Shell`, or null if no shell belonging to the currently running application is active.
`Shell`
Dialog.`getParent()`
Returns the receiver's parent, which must be a `Shell` or null.
`Shell`
ToolTip.`getParent()`
Returns the receiver's parent, which must be a `Shell`.
`Shell`
Control.`getShell()`
Returns the receiver's shell.
`Shell`
Menu.`getShell()`
Returns the receiver's shell.
`Shell`
Shell.`getShell()`
`Shell[]`
Display.`getShells()`
Returns a (possibly empty) array containing all shells which have not been disposed and have the receiver as their display.
`Shell[]`
Shell.`getShells()`
Returns an array containing all shells which are descendants of the receiver.
`static Shell`
Shell.`internal_new(Display display, long handle)`
Invokes platform specific functionality to allocate a new shell that is not embedded.
`static Shell`
Shell.`win32_new(Display display, long handle)`
Invokes platform specific functionality to allocate a new shell that is embedded.
Methods in org.eclipse.swt.widgets with parameters of type Shell
Modifier and Type
Method
Description
`TaskItem`
TaskBar.`getItem(Shell shell)`
Returns the `TaskItem` for the given `Shell` or the `TaskItem` for the application if the `Shell` parameter is `null`.
Constructors in org.eclipse.swt.widgets with parameters of type Shell
Modifier
Constructor
Description
``
`ColorDialog(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`ColorDialog(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`Dialog(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`Dialog(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`DirectoryDialog(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`DirectoryDialog(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`FileDialog(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`FileDialog(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`FontDialog(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`FontDialog(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`MessageBox(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`MessageBox(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`Shell(Shell parent)`
Constructs a new instance of this class given only its parent.
``
`Shell(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`ToolTip(Shell parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

## Uses of Shell in org.eclipse.team.ui

Methods in org.eclipse.team.ui that return Shell
Modifier and Type
Method
Description
`protected Shell`
PageSaveablePart.`getShell()`
Deprecated.
Return the parent shell of this part.
`protected Shell`
TeamOperation.`getShell()`
Return a shell that can be used by the operation to display dialogs, etc.
Methods in org.eclipse.team.ui with parameters of type Shell
Modifier and Type
Method
Description
`protected void`
SaveablePartDialog.`configureShell(Shell newShell)`
Deprecated.
Constructors in org.eclipse.team.ui with parameters of type Shell
Modifier
Constructor
Description
`protected`
`PageSaveablePart(Shell shell, CompareConfiguration compareConfiguration)`
Deprecated.
Create a saveable part.
``
`SaveablePartDialog(Shell shell, ISaveableWorkbenchPart input)`
Deprecated.
Creates a dialog with the given title and input.

## Uses of Shell in org.eclipse.team.ui.history

Methods in org.eclipse.team.ui.history that return Shell
Modifier and Type
Method
Description
`Shell`
IHistoryPageSite.`getShell()`
Returns the shell for this site.
Methods in org.eclipse.team.ui.history with parameters of type Shell
Modifier and Type
Method
Description
`static boolean`
HistoryPageSaveablePart.`showHistoryInDialog(Shell shell, Object object)`
Deprecated.
Show the history for the object in a dialog.
Constructors in org.eclipse.team.ui.history with parameters of type Shell
Modifier
Constructor
Description
``
`HistoryPageSaveablePart(Shell shell, CompareConfiguration configuration, IHistoryPageSource pageSource, Object object)`
Deprecated.
Create a history page part for the given page and object.

## Uses of Shell in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return Shell
Modifier and Type
Method
Description
`Shell`
ISynchronizePageSite.`getShell()`
Returns the shell for this site.
Methods in org.eclipse.team.ui.synchronize with parameters of type Shell
Modifier and Type
Method
Description
`boolean`
ModelSynchronizeParticipant.`checkForBufferChange(Shell shell, ISynchronizationCompareInput input, boolean cancelAllowed, IProgressMonitor monitor)`
Convenience method for switching the active saveable of this participant to the saveable of the given input.
`static void`
ModelParticipantAction.`handleTargetSaveableChange(Shell shell, SaveableComparison targetSaveable, SaveableComparison activeSaveable, boolean allowCancel, IProgressMonitor monitor)`
Convenience method that prompts if the currently active saveable is dirty and either saves or reverts the saveable depending on the users input.
`static boolean`
ModelParticipantAction.`promptToSaveChanges(Shell shell, SaveableComparison saveable, boolean allowCancel)`
Convenience method that prompts to save changes in the given dirty model.
`final void`
SubscriberParticipant.`refreshInDialog(Shell shell, IResource[] resources, String jobName, String taskName, ISynchronizePageConfiguration configuration, IWorkbenchSite site)`
Refresh this participants synchronization state and displays the result in a model dialog.
Constructors in org.eclipse.team.ui.synchronize with parameters of type Shell
Modifier
Constructor
Description
``
`ParticipantPageDialog(Shell shell, SaveablePartAdapter input, ISynchronizeParticipant participant)`
Deprecated.
Creates a dialog with the given participant and input.
``
`ParticipantPagePane(Shell shell, boolean isModal, ISynchronizePageConfiguration pageConfiguration, ISynchronizeParticipant participant)`
Creates a part for the provided participant.
``
`ParticipantPageSaveablePart(Shell shell, CompareConfiguration cc, ISynchronizePageConfiguration pageConfiguration, ISynchronizeParticipant participant)`
Deprecated.
Creates a part for the provided participant.

## Uses of Shell in org.eclipse.ui

Methods in org.eclipse.ui that return Shell
Modifier and Type
Method
Description
`Shell`
IWorkbenchSite.`getShell()`
Returns the shell for this workbench site.
`Shell`
IWorkbenchWindow.`getShell()`
Returns this workbench window's shell.
Methods in org.eclipse.ui with parameters of type Shell
Modifier and Type
Method
Description
`IWorkingSetSelectionDialog`
IWorkingSetManager.`createWorkingSetSelectionDialog(Shell parent)`
Deprecated.
use createWorkingSetSelectionDialog(parent, true) instead
`IWorkingSetSelectionDialog`
IWorkingSetManager.`createWorkingSetSelectionDialog(Shell parentShell, boolean multi)`
Creates a working set selection dialog that lists all working sets and allows the user to add, remove and edit working sets.
`IWorkingSetSelectionDialog`
IWorkingSetManager.`createWorkingSetSelectionDialog(Shell parentShell, boolean multi, String[] workingsSetIds)`
Creates a working set selection dialog that lists all working sets with the specified ids and allows the user to add, remove and edit working sets with the specified ids.
Constructors in org.eclipse.ui with parameters of type Shell
Modifier
Constructor
Description
``
`ActiveShellExpression(Shell activeShell)`
Constructs a new instance of `ActiveShellExpression`
``
`LegacyHandlerSubmissionExpression(String activePartId, Shell activeShell, IWorkbenchPartSite activeSite)`
Constructs a new instance of `LegacyHandlerSubmissionExpression`

## Uses of Shell in org.eclipse.ui.actions

Fields in org.eclipse.ui.actions declared as Shell
Modifier and Type
Field
Description
`protected Shell`
CopyProjectAction.`shell`
Deprecated.
the shell provider should be used instead.
Methods in org.eclipse.ui.actions with parameters of type Shell
Modifier and Type
Method
Description
`protected static boolean`
CopyProjectOperation.`validateCopy(Shell shell, IProject project, String newName, String[] modelProviderIds)`
Deprecated.
As of 3.3, validation is performed in the undoable operation executed by this operation.
Constructors in org.eclipse.ui.actions with parameters of type Shell
Modifier
Constructor
Description
``
`AddBookmarkAction(Shell shell)`
Deprecated.
see `AddBookmarkAction(IShellProvider, boolean)`
``
`AddBookmarkAction(Shell shell, boolean promptForName)`
Deprecated.
see `AddBookmarkAction(IShellProvider, boolean)`
``
`AddTaskAction(Shell shell)`
Deprecated.
See `AddTaskAction(IShellProvider)`
``
`BuildAction(Shell shell, int type)`
Deprecated.
See `BuildAction(IShellProvider, int)`
``
`CloseResourceAction(Shell shell)`
Deprecated.
See `CloseResourceAction(IShellProvider)`
`protected`
`CloseResourceAction(Shell shell, String text)`
Deprecated.
See `CloseResourceAction(IShellProvider, String)`
``
`CloseUnrelatedProjectsAction(Shell shell)`
Deprecated.
`CloseUnrelatedProjectsAction(IShellProvider)`
``
`CopyFilesAndFoldersOperation(Shell shell)`
Creates a new operation initialized with a shell.
``
`CopyProjectAction(Shell shell)`
Deprecated.
`CopyProjectAction(IShellProvider)`
``
`CopyProjectOperation(Shell shell)`
Create a new operation initialized with a shell.
``
`CopyResourceAction(Shell shell)`
Deprecated.
`CopyResourceAction(IShellProvider)`
``
`CreateFileAction(Shell shell)`
Deprecated.
`CreateFileAction(IShellProvider)`
``
`CreateFolderAction(Shell shell)`
Deprecated.
`CreateFolderAction(IShellProvider)`
``
`DeleteResourceAction(Shell shell)`
Deprecated.
Should take an IShellProvider, see `DeleteResourceAction(IShellProvider)`
``
`GlobalBuildAction(IWorkbench workbench, Shell shell, int type)`
Deprecated.
use GlobalBuildAction(IWorkbenchWindow, type) instead
``
`MoveFilesAndFoldersOperation(Shell shell)`
Creates a new operation initialized with a shell.
``
`MoveProjectAction(Shell shell)`
Deprecated.
`MoveProjectAction(IShellProvider)`
``
`MoveResourceAction(Shell shell)`
Deprecated.
`MoveResourceAction(IShellProvider)`
``
`OpenResourceAction(Shell shell)`
Deprecated.
`OpenResourceAction(IShellProvider)`
``
`ReadOnlyStateChecker(Shell parent, String title, String message)`
Create a new checker that parents the dialog off of parent using the supplied title and message.
``
`RefreshAction(Shell shell)`
Deprecated.
See `RefreshAction(IShellProvider)`
``
`RenameResourceAction(Shell shell)`
Deprecated.
see `RenameResourceAction(IShellProvider)`
``
`RenameResourceAction(Shell shell, Tree tree)`
Deprecated.
see `RenameResourceAction(IShellProvider, Tree)`
``
`ScrubLocalAction(Shell shell)`
Deprecated.
Creates a new action.
``
`WorkingSetFilterActionGroup(Shell shell, IPropertyChangeListener workingSetUpdater)`
Creates a new instance of the receiver.
`protected`
`WorkspaceAction(Shell shell, String text)`
Deprecated.
See `WorkspaceAction(IShellProvider, String)`

## Uses of Shell in org.eclipse.ui.application

Methods in org.eclipse.ui.application with parameters of type Shell
Modifier and Type
Method
Description
`void`
WorkbenchAdvisor.`createWindowContents(IWorkbenchWindowConfigurer configurer, Shell shell)`
Deprecated.
since 3.1, override `WorkbenchWindowAdvisor.createWindowContents(Shell)` instead
`void`
WorkbenchWindowAdvisor.`createWindowContents(Shell shell)`
Deprecated.
This method is no longer used.

## Uses of Shell in org.eclipse.ui.cheatsheets

Methods in org.eclipse.ui.cheatsheets with parameters of type Shell
Modifier and Type
Method
Description
`void`
OpenCheatSheetAction.`setTargetShell(Shell shell)`
Sets the shell in which the cheat sheet is opened.

## Uses of Shell in org.eclipse.ui.console

Methods in org.eclipse.ui.console with parameters of type Shell
Modifier and Type
Method
Description
`static void`
ConsolePlugin.`errorDialog(Shell shell, String title, String message, Throwable t)`
Utility method with conventions

## Uses of Shell in org.eclipse.ui.contexts

Methods in org.eclipse.ui.contexts that return Shell
Modifier and Type
Method
Description
`Shell`
EnabledSubmission.`getActiveShell()`
Deprecated.
Returns the shell that must be active for this request to be considered.
Methods in org.eclipse.ui.contexts with parameters of type Shell
Modifier and Type
Method
Description
`int`
IContextService.`getShellType(Shell shell)`
Returns the shell type for the given shell.
`int`
IWorkbenchContextSupport.`getShellType(Shell shell)`
Deprecated.
Returns the shell type for the given shell.
`boolean`
IContextService.`registerShell(Shell shell, int type)`
Registers a shell to automatically promote or demote some basic types of contexts.
`boolean`
IWorkbenchContextSupport.`registerShell(Shell shell, int type)`
Deprecated.
Registers a shell to automatically promote or demote some basic types of contexts.
`boolean`
IContextService.`unregisterShell(Shell shell)`
Unregisters a shell that was previously registered.
`boolean`
IWorkbenchContextSupport.`unregisterShell(Shell shell)`
Deprecated.
Unregisters a shell that was previously registered.
Constructors in org.eclipse.ui.contexts with parameters of type Shell
Modifier
Constructor
Description
``
`EnabledSubmission(String activePartId, Shell activeShell, IWorkbenchPartSite activeWorkbenchPartSite, String contextId)`
Deprecated.
Creates a new instance of this class.

## Uses of Shell in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs with parameters of type Shell
Modifier and Type
Method
Description
`protected void`
ContainerSelectionDialog.`configureShell(Shell shell)`
`protected void`
EditorSelectionDialog.`configureShell(Shell shell)`
`protected void`
FilteredResourcesSelectionDialog.`configureShell(Shell shell)`
`protected void`
ListSelectionDialog.`configureShell(Shell shell)`
`protected void`
MarkerResolutionSelectionDialog.`configureShell(Shell newShell)`
`protected void`
NewFolderDialog.`configureShell(Shell shell)`
`protected void`
ProjectLocationMoveDialog.`configureShell(Shell shell)`
`protected void`
ProjectLocationSelectionDialog.`configureShell(Shell shell)`
`protected void`
ResourceSelectionDialog.`configureShell(Shell shell)`
`protected void`
SaveAsDialog.`configureShell(Shell shell)`
`protected void`
SelectionDialog.`configureShell(Shell shell)`
`protected void`
SelectionStatusDialog.`configureShell(Shell shell)`
`protected void`
TypeFilteringDialog.`configureShell(Shell shell)`
`protected void`
YesNoCancelListSelectionDialog.`configureShell(Shell shell)`
Deprecated.
`ListSelectionDialog`
ListSelectionDialog.Builder.`create(Shell parentShell)`
Creates and assembles the dialog.
`static PreferenceDialog`
PreferencesUtil.`createPreferenceDialogOn(Shell shell, String preferencePageId, String[] displayedIds, Object data)`
Creates a workbench preference dialog and selects particular preference page.
`static PreferenceDialog`
PreferencesUtil.`createPreferenceDialogOn(Shell shell, String preferencePageId, String[] displayedIds, Object data, int options)`
Creates a workbench preference dialog and selects particular preference page.
`static PreferenceDialog`
PreferencesUtil.`createPropertyDialogOn(Shell shell, Object element, String propertyPageId, String[] displayedIds, Object data, int options)`
Creates a workbench preference dialog to a particular preference page.
`static PreferenceDialog`
PreferencesUtil.`createPropertyDialogOn(Shell shell, IAdaptable element, String propertyPageId, String[] displayedIds, Object data)`
Creates a workbench preference dialog to a particular preference page.
`static PreferenceDialog`
PreferencesUtil.`createPropertyDialogOn(Shell shell, IAdaptable element, String propertyPageId, String[] displayedIds, Object data, int options)`
Creates a workbench preference dialog to a particular preference page.
Constructors in org.eclipse.ui.dialogs with parameters of type Shell
Modifier
Constructor
Description
`protected`
`AbstractElementListSelectionDialog(Shell parent, ILabelProvider renderer)`
Constructs a list selection dialog.
``
`CheckedTreeSelectionDialog(Shell parent, ILabelProvider labelProvider, ITreeContentProvider contentProvider)`
Constructs an instance of `ElementTreeSelectionDialog`.
``
`CheckedTreeSelectionDialog(Shell parent, ILabelProvider labelProvider, ITreeContentProvider contentProvider, boolean allowEmptyTree)`
Constructs an instance of `ElementTreeSelectionDialog`.
``
`CheckedTreeSelectionDialog(Shell parent, ILabelProvider labelProvider, ITreeContentProvider contentProvider, int style)`
Constructs an instance of `ElementTreeSelectionDialog`.
``
`CheckedTreeSelectionDialog(Shell parent, ILabelProvider labelProvider, ITreeContentProvider contentProvider, int style, boolean allowEmptyTree)`
Constructs an instance of `ElementTreeSelectionDialog`.
``
`ContainerSelectionDialog(Shell parentShell, IContainer initialRoot, boolean allowNewContainerName, String message)`
Creates a resource container selection dialog rooted at the given resource.
``
`EditorSelectionDialog(Shell parentShell)`
Create an instance of this class.
``
`ElementListSelectionDialog(Shell parent, ILabelProvider renderer)`
Creates a list selection dialog.
``
`ElementTreeSelectionDialog(Shell parent, IBaseLabelProvider labelProvider, ITreeContentProvider contentProvider)`
Constructs an instance of `ElementTreeSelectionDialog`.
``
`ElementTreeSelectionDialog(Shell parent, ILabelProvider labelProvider, ITreeContentProvider contentProvider)`
Constructs an instance of `ElementTreeSelectionDialog`.
``
`FilteredItemsSelectionDialog(Shell shell)`
Creates a new instance of the class.
``
`FilteredItemsSelectionDialog(Shell shell, boolean multi)`
Creates a new instance of the class.
``
`FilteredResourcesSelectionDialog(Shell shell, boolean multi, IContainer container, int typesMask)`
Creates a new instance of the class
``
`ListDialog(Shell parent)`
Create a new instance of the receiver with parent shell of parent.
``
`ListSelectionDialog(Shell parentShell, Object input, IStructuredContentProvider contentProvider, ILabelProvider labelProvider, String message)`
Deprecated.
since 3.123; use `ListSelectionDialog.of(Object)` instead: `ListSelectionDialog.of(input).contentProvider(contentProvider).labelProvider(labelProvider).message(message).create(parentShell)`
``
`MarkerResolutionSelectionDialog(Shell shell, IMarkerResolution[] markerResolutions)`
Creates an instance of this dialog to display the given resolutions.
``
`NewFolderDialog(Shell parentShell, IContainer container)`
Creates a NewFolderDialog
``
`ProjectLocationMoveDialog(Shell parentShell, IProject existingProject)`
Create a ProjectLocationMoveDialog on the supplied project parented by the parentShell.
``
`ProjectLocationSelectionDialog(Shell parentShell, IProject existingProject)`
Create a ProjectLocationSelectionDialog on the supplied project parented by the parentShell.
``
`PropertyDialogAction(Shell shell, ISelectionProvider provider)`
Deprecated.
use PropertyDialogAction(IShellProvider, ISelectionProvider)
``
`ResourceListSelectionDialog(Shell parentShell, IContainer container, int typeMask)`
Creates a new instance of the class.
``
`ResourceListSelectionDialog(Shell parentShell, IResource[] resources)`
Creates a new instance of the class.
``
`ResourceSelectionDialog(Shell parentShell, IAdaptable rootElement, String message)`
Creates a resource selection dialog rooted at the given element.
``
`SaveAsDialog(Shell parentShell)`
Creates a new Save As dialog for no specific file.
`protected`
`SelectionDialog(Shell parentShell)`
Creates a dialog instance.
``
`SelectionStatusDialog(Shell parent)`
Creates an instance of a `SelectionStatusDialog`.
``
`TwoPaneElementSelector(Shell parent, ILabelProvider elementRenderer, ILabelProvider qualifierRenderer)`
Creates the two pane element selector.
``
`TypeFilteringDialog(Shell parentShell, Collection preselections)`
Creates a type filtering dialog using the supplied entries.
``
`TypeFilteringDialog(Shell parentShell, Collection preselections, String filterText)`
Creates a type filtering dialog using the supplied entries.
``
`YesNoCancelListSelectionDialog(Shell parentShell, Object input, IStructuredContentProvider contentProvider, ILabelProvider labelProvider, String message)`
Deprecated.
see class comment

## Uses of Shell in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return Shell
Modifier and Type
Method
Description
`protected final Shell`
FileBufferOperationAction.`getShell()`
`protected final Shell`
FileBufferOperationHandler.`getShell()`
Returns the shell of the active workbench window.

## Uses of Shell in org.eclipse.ui.forms

Constructors in org.eclipse.ui.forms with parameters of type Shell
Modifier
Constructor
Description
``
`FormDialog(Shell shell)`
Creates a new form dialog for a provided parent shell.

## Uses of Shell in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers that return Shell
Modifier and Type
Method
Description
`static Shell`
HandlerUtil.`getActiveShell(ExecutionEvent event)`
Return the active shell.
`static Shell`
HandlerUtil.`getActiveShellChecked(ExecutionEvent event)`
Return the active shell.

## Uses of Shell in org.eclipse.ui.ide

Methods in org.eclipse.ui.ide with parameters of type Shell
Modifier and Type
Method
Description
`static boolean`
IDE.`promptToConfirm(Shell shell, String title, String message, IResourceDelta delta, String[] ignoreModelProviderIds, boolean syncExec)`
Prompt the user to inform them of the possible side effects of an operation on resources.

## Uses of Shell in org.eclipse.ui.ide.dialogs

Methods in org.eclipse.ui.ide.dialogs with parameters of type Shell
Modifier and Type
Method
Description
`protected void`
ImportTypeDialog.`configureShell(Shell shell)`
`protected void`
PathVariableSelectionDialog.`configureShell(Shell shell)`
Constructors in org.eclipse.ui.ide.dialogs with parameters of type Shell
Modifier
Constructor
Description
``
`ImportTypeDialog(Shell shell, int dropOperation, String[] names, IContainer target)`
Creates the Import Type Dialog when files are dragged and dropped from the operating system's shell (Windows Explorer on Windows Platform, for example).
``
`ImportTypeDialog(Shell shell, int dropOperation, IResource[] sources, IContainer target)`
Creates the Import Type Dialog when resources are dragged and dropped from an Eclipse view.
``
`PathVariableSelectionDialog(Shell parentShell, int variableType)`
Creates a path variable selection dialog.

## Uses of Shell in org.eclipse.ui.ide.fileSystem

Methods in org.eclipse.ui.ide.fileSystem with parameters of type Shell
Modifier and Type
Method
Description
`abstract URI`
FileSystemContributor.`browseFileSystem(String initialPath, Shell shell)`
Browse the file system for a URI to display to the user.

## Uses of Shell in org.eclipse.ui.ide.undo

Methods in org.eclipse.ui.ide.undo that return Shell
Modifier and Type
Method
Description
`protected Shell`
AbstractWorkspaceOperation.`getShell(IAdaptable uiInfo)`
Return the shell described by the specified adaptable, or the active shell if no shell has been specified in the adaptable.
`static Shell`
WorkspaceUndoUtil.`getShell(IAdaptable uiInfo)`
Return the shell described by the specified adaptable, or the active shell if no shell has been specified in the adaptable.
Methods in org.eclipse.ui.ide.undo with parameters of type Shell
Modifier and Type
Method
Description
`static IAdaptable`
WorkspaceUndoUtil.`getUIInfoAdapter(Shell shell)`
Make an `IAdaptable` that adapts to the specified shell, suitable for passing for passing to any `IUndoableOperation` or `IOperationHistory` method that requires an `IAdaptable` `uiInfo` parameter.

## Uses of Shell in org.eclipse.ui.internal

Fields in org.eclipse.ui.internal declared as Shell
Modifier and Type
Field
Description
`protected Shell`
FilteredTableBaseHandler.`dialog`
Methods in org.eclipse.ui.internal that return Shell
Modifier and Type
Method
Description
`static Shell`
InternalHandlerUtil.`getActiveShell(Object appContext)`
Return the active shell.
`Shell`
PartSite.`getShell()`
Returns the shell containing this part.
`Shell`
WorkbenchWindow.`getShell()`
`static Shell`
WorkbenchPlugin.`getSplashShell(Display display)`
Get the splash shell for this workbench instance, if any.
Methods in org.eclipse.ui.internal with parameters of type Shell
Modifier and Type
Method
Description
`protected void`
FilteredTableBaseHandler.`addKeyListener(Table table, Shell dialog)`
Add Keylistener to the table, user actions can influence the dialog.
`protected void`
FilteredTableBaseHandler.`addMouseListener(Table table, Shell dialog)`
Add mouse listener to the table closing it when the mouse is pressed.
`protected void`
FilteredTableBaseHandler.`cancel(Shell dialog)`
Close the dialog and set selection to null.
`void`
WorkbenchWindowConfigurer.`createDefaultContents(Shell shell)`
Creates the default window contents.
`IWorkingSetSelectionDialog`
AbstractWorkingSetManager.`createWorkingSetSelectionDialog(Shell parent)`
Deprecated.
use createWorkingSetSelectionDialog(parent, true) instead
`IWorkingSetSelectionDialog`
AbstractWorkingSetManager.`createWorkingSetSelectionDialog(Shell parent, boolean multi)`
`IWorkingSetSelectionDialog`
AbstractWorkingSetManager.`createWorkingSetSelectionDialog(Shell parent, boolean multi, String[] workingsSetIds)`
`protected void`
FilteredTableBaseHandler.`keepOpen(Display display, Shell dialog)`
Intended to be overwritten by test classes so the handler won't block the UI thread
`protected void`
FilteredTableBaseHandler.`ok(Shell dialog, Table table)`
Close the dialog saving the selection
`protected void`
FilteredTableBaseHandler.`setDialogLocation(Shell dialog, IWorkbenchPart activePart)`
Sets the dialog's location on the screen.
Constructors in org.eclipse.ui.internal with parameters of type Shell
Modifier
Constructor
Description
``
`LargeFileEditorSelectionDialog(Shell shell, String extension, long size)`

## Uses of Shell in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return Shell
Modifier and Type
Method
Description
`final Shell`
CommonDragAdapterAssistant.`getShell()`
`protected final Shell`
CommonDropAdapterAssistant.`getShell()`
`Shell`
ICommonViewerSite.`getShell()`
Methods in org.eclipse.ui.navigator with parameters of type Shell
Modifier and Type
Method
Description
`static ICommonViewerSite`
CommonViewerSiteFactory.`createCommonViewerSite(String anId, ISelectionProvider aSelectionProvider, Shell aShell)`

## Uses of Shell in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return Shell
Modifier and Type
Method
Description
`Shell`
MultiPageEditorSite.`getShell()`
The `MultiPageEditorSite` implementation of this `IWorkbenchPartSite` method forwards to the multi-page editor to return the shell.
`Shell`
PageSite.`getShell()`

## Uses of Shell in org.eclipse.ui.preferences

Constructors in org.eclipse.ui.preferences with parameters of type Shell
Modifier
Constructor
Description
``
`ViewSettingsDialog(Shell parentShell)`
Create a new instance of the receiver.

## Uses of Shell in org.eclipse.ui.progress

Methods in org.eclipse.ui.progress with parameters of type Shell
Modifier and Type
Method
Description
`void`
IProgressService.`showInDialog(Shell shell, Job job)`
Open a dialog on job when it starts to run and close it when the job is finished.

## Uses of Shell in org.eclipse.ui.splash

Methods in org.eclipse.ui.splash that return Shell
Modifier and Type
Method
Description
`Shell`
AbstractSplashHandler.`getSplash()`
Get the `Shell` associated with this splash screen.
Methods in org.eclipse.ui.splash with parameters of type Shell
Modifier and Type
Method
Description
`void`
AbstractSplashHandler.`init(Shell splash)`
Initialize this splash implementation.

## Uses of Shell in org.eclipse.ui.statushandlers

Constructors in org.eclipse.ui.statushandlers with parameters of type Shell
Modifier
Constructor
Description
``
`WorkbenchStatusDialogManager(Shell parentShell, int displayMask, String dialogTitle)`
Deprecated.
As of 3.4 the `parentShell` is ignored
``
`WorkbenchStatusDialogManager(Shell parentShell, String dialogTitle)`
Deprecated.
As of 3.4 the `parentShell` is ignored

## Uses of Shell in org.eclipse.ui.texteditor

Constructors in org.eclipse.ui.texteditor with parameters of type Shell
Modifier
Constructor
Description
``
`FindReplaceAction(ResourceBundle bundle, String prefix, Shell shell, IFindReplaceTarget target)`
Creates a new find/replace action for the given target and shell.

## Uses of Shell in org.eclipse.ui.texteditor.templates

Constructors in org.eclipse.ui.texteditor.templates with parameters of type Shell
Modifier
Constructor
Description
``
`EditTemplateDialog(Shell parent, Template template, boolean edit, boolean isNameModifiable, ContextTypeRegistry registry)`
Creates a new dialog.

## Uses of Shell in org.eclipse.ui.views.markers.internal

Methods in org.eclipse.ui.views.markers.internal with parameters of type Shell
Modifier and Type
Method
Description
`protected void`
DialogMarkerProperties.`configureShell(Shell newShell)`
Method declared on Window.
Constructors in org.eclipse.ui.views.markers.internal with parameters of type Shell
Modifier
Constructor
Description
``
`DialogMarkerProperties(Shell parentShell)`
Creates the dialog.
``
`DialogMarkerProperties(Shell parentShell, String title)`
Creates the dialog.
``
`DialogMarkerProperties(Shell parentShell, String title, String markerName)`
Creates the dialog.
``
`DialogTaskProperties(Shell parentShell)`
``
`DialogTaskProperties(Shell parentShell, String title)`

## Uses of Shell in org.eclipse.ui.views.tasklist

Constructors in org.eclipse.ui.views.tasklist with parameters of type Shell
Modifier
Constructor
Description
``
`TaskPropertiesDialog(Shell parentShell)`
Creates the dialog.

## Uses of Shell in org.eclipse.ui.wizards.datatransfer

Methods in org.eclipse.ui.wizards.datatransfer with parameters of type Shell
Modifier and Type
Method
Description
`void`
ImportOperation.`setContext(Shell shell)`
Sets the context for use by the VCM provider to prompt the user for check-out of files.

## Uses of Shell in org.eclipse.unittest.ui

Methods in org.eclipse.unittest.ui with parameters of type Shell
Modifier and Type
Method
Description
`IAction`
ITestViewSupport.`createOpenEditorAction(Shell shell, ITestElement failure, String traceLine)`
Returns an action to open a failure trace element
`IAction`
ITestViewSupport.`getOpenTestAction(Shell shell, ITestCaseElement testCase)`
Returns an action to open a specified test elements
`IAction`
ITestViewSupport.`getOpenTestAction(Shell shell, ITestSuiteElement testSuite)`
Returns an action to open a specified test suite element